## tdesvn-trinity 14.0.4

=== CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdesvn )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
option( BUILD_TESTS "Building the tests yes or no (default off)" OFF)


##### testing ###################################

SET(TESTINGBUILD OFF CACHE BOOL "Enable/Disable special testing flags")
IF (TESTINGBUILD)
   ADD_DEFINITIONS("-DTESTING_RC=\"\\\"\${CMAKE_SOURCE_DIR}/src/tdesvnui.rc\\\"\" -DTESTING_PARTRC=\"\\\"\${CMAKE_SOURCE_DIR}/src/tdesvn_part.rc\\\"\"")
   ADD_DEFINITIONS("-DFORCE_ASKPASS=\"\\\"\${CMAKE_BINARY_DIR}/bin/tdesvnaskpass\\\"\"")
ENDIF (TESTINGBUILD)

IF(BUILD_TESTS)
  ENABLE_TESTING()
ENDIF(BUILD_TESTS)


##### versioning ################################

SET(BASE_VERSION 1.0.4)
SET(VERSION "$ENV{KDESVN_VERSION}")
IF(NOT VERSION)
  SET(VERSION ${BASE_VERSION})
ENDIF(NOT VERSION)
SET(KDESVN_VERSION \"${VERSION}\")


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )
configure_file( tdesvn-config.h.in tdesvn-config.h @ONLY )
configure_file( tdesvn.spec.in tdesvn.spec @ONLY )
configure_file( Helperstuff/BuildService/tdesvn.spec.in Helperstuff/BuildService/tdesvn.spec @ONLY )
configure_file( Helperstuff/BuildService/tdesvn.dsc.in Helperstuff/BuildService/tdesvn.dsc @ONLY )
configure_file( Doxyfile.in Doxyfile @ONLY )
configure_file( Doxyfile.svnqt.in Doxyfile.svnqt @ONLY )

=== debian/changelog ===
tdesvn-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 14:00:26 +0200

tdesvn-trinity (1.0.4-2~2ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tdesvn-trinity (1.0.4-2~0ubuntu4) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 10 March 2009 12:31:00 -0600

tdesvn-trinity (1.0.4-2~0ubuntu3) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 31 Dec 2008 17:59:00 -0600

tdesvn (1.0.4-2~hardy1) hardy-backports; urgency=low

  * Upload fixed Trinity package from sid for compatibility with svn 1.5
    (LP: #283468)
    - Intrepid package is KDE4 and not a suitable solution for
      hardy-backports

 -- Scott Kitterman <scott@kitterman.com>  Wed, 15 Oct 2008 01:14:20 -0400

tdesvn (1.0.4-2) unstable; urgency=low

  * debian/control
    - Add Vcs-* fields.
    - Set the Debian KDE Extras Team as Maintainer and add myself to
      Uploaders.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Oct 2008 22:46:45 +0200

tdesvn (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Oct 2008 06:55:22 +0200

tdesvn (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to quilt for patch handling. 
  * debian/patches/01-shortcuts.patch
    - Make sure we use unique shortcuts which don't interfere with other
      components when tdesvn is embedded as kpart. Closes: #452245

 -- Michael Biebl <biebl@debian.org>  Sat, 20 Sep 2008 10:46:07 +0200

tdesvn (1.0.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01-bashisms_tdeconf_update.patch
    - Removed, merged upstream. 
  * debian/patches/02-docimages.patch
    - Removed, fixed upstream. 
  * debian/control
    - Add Build-Depends on libsqlite3-dev, required for building the log cache
      support. 

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Sep 2008 02:40:29 +0200

tdesvn (0.14.6-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Jul 2008 14:26:45 +0200

tdesvn (0.14.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Don't conflict with kde4 versions of tdesdk-kio-plugins. Closes: #483260
    - Bump Standards-Version to 3.8.0. No further changes.
  * debian/watch
    - Update watch file to match the new download location.
  * debian/patches/02-docimages.patch
    - Specifiy the path to the doc images directly.
      Beginning with version 2.4.7, cmake copies symlinks verbatim, leading to
      dangling symlinks. Closes: #480585

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Jul 2008 20:06:12 +0200

tdesvn (0.14.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 May 2008 18:25:35 +0200

tdesvn (0.14.3-1) unstable; urgency=low

  * New upstream release.
  * debian/rules
    - Include the cmake.mk class provided by cdbs.
  * debian/cdbs/cmake.mk
    - Drop our custom cmake.mk Makefile as we now use the one provided by
      cdbs.
  * debian/control
    - Bump Build-Depends on cdbs to (>= 0.4.50) for the cmake support.
    - Drop the "-1" revsion of the libssl-dev Build-Depends to make lintian
      happy.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Apr 2008 01:02:42 +0200

tdesvn (0.14.2-2) unstable; urgency=low

  * debian/rules
    - Pass -DLIB_SUFFIX="" to DEB_CMAKE_EXTRA_FLAGS. This ensures that the
      libraries are installed into lib and not lib64 on 64-bit architectures.
      Closes: #468064
    - Update DEB_DH_MAKESHLIBS_ARGS for libsvnqt4.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Feb 2008 23:31:17 +0100

tdesvn (0.14.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Feb 2008 00:15:24 +0100

tdesvn (0.14.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch
    - Updated for the new download location. Closes: #449689

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Nov 2007 11:36:34 +0100

tdesvn (0.14.0-1) unstable; urgency=low

  * New upstream release.
  * debian/tdesvn.menu
    - Change section to "Applications/Programming" to comply with the new menu
      spec.
  * debian/patches/01-bashisms_tdeconf_update.patch
    - Fix a bashism in the tdeconf_update script.
  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
    - SONAME bump, rename the libsvnqt3 package to libsvnqt4.
  * Rename libsvnqt3.install to libsvnqt4.install.
  * debian/tdesvn.install
    - Install the tdeconf_update files.
  * debian/libsvnqt-dev.install
    - No longer install the libtool *.la files for libsvnqt.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Oct 2007 02:20:32 +0200

tdesvn (0.13.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Aug 2007 00:13:38 +0200

tdesvn (0.12.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch
    - Adapt to new directory layout.
  * debian/control
    - Replace ${Source-Version} with ${binary:Version}.

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Jun 2007 16:07:32 +0200

tdesvn (0.12.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-po_ca.patch
    + Removed. Merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 May 2007 02:07:52 +0200

tdesvn (0.11.2-2) unstable; urgency=low

  * debian/patches/01-po_ca.patch
    - Added. Updates to the Catalan translation by Antoni Bella Pérez. Thanks!
      Closes: #417963

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Apr 2007 21:16:11 +0200

tdesvn (0.11.2-1) unstable; urgency=low

  * New upstream release.



## tdesvn-trinity 14.0.5

=== debian/changelog ===
tdesvn-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:51:15 +0200

=== debian/control ===
Source: tdesvn-trinity
Section: devel
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: cdbs (>= 0.4.50), debhelper (>= 7.0.50~), cmake (>= 2.4), tdelibs14-trinity-dev (>= 4:3.4.3-2), libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, gettext, quilt, libaprutil1-dev
Standards-Version: 3.8.4

Package: libsvnqt4-trinity
Section: libs
Architecture: any
Replaces: libsvnqt4-kde3 (<< 4:14.0.0~), libsvnqt4-trinity (<< 4:14.0.0~)
Breaks: libsvnqt4-kde3 (<< 4:14.0.0~), libsvnqt4-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TQt wrapper library for subversion [Trinity]
 This package provides svnqt, a TQt wrapper library around the 
 subversion library.
 .
 It is based on the RapidSvn SvnCpp library, a subversion client API 
 written in C++.
  
Package: libsvnqt-trinity-dev
Section: libdevel
Architecture: any
Replaces: libsvnqt-kde3-dev (<< 4:14.0.0~), libsvnqt-trinity-dev (<< 4:14.0.0~)
Breaks: libsvnqt-kde3-dev (<< 4:14.0.0~), libsvnqt-trinity-dev (<< 4:14.0.0~)
Depends: libsvnqt4-trinity (= ${binary:Version}), libtqt3-mt-dev, libsvn-dev
Description: TQt wrapper library for subversion (development files) [Trinity]
 This package contains the header files and symbolic links that developers
 using svnqt will need.

Package: tdesvn-trinity
Section: devel
Architecture: any
Replaces: kdesvn-kde3 (<< 4:14.0.0~), kdesvn-trinity (<< 4:14.0.0~)
Breaks: kdesvn-kde3 (<< 4:14.0.0~), kdesvn-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, tdesvn-tdeio-plugins-trinity (= ${binary:Version})
Recommends: kompare-trinity, graphviz
Suggests: khelpcenter-trinity, kdiff3-trinity
Description: subversion client with tight TDE integration [Trinity]
 TDESvn is a graphical client for the subversion revision control
 system (svn).
 .
 Besides offering common and advanced svn operations, it features
 a tight integration into TDE and can be embedded into other TDE 
 applications like konqueror via the TDE component technology KParts.

Package: tdesvn-tdeio-plugins-trinity
Section: devel
Architecture: any
Replaces: kdesvn-kio-plugins-kde3 (<< 4:14.0.0~), kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdesvn-kio-plugins-kde3 (<< 4:14.0.0~), kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: tdesdk-tdeio-plugins-trinity
Description: subversion I/O slaves for Trinity
 This packages includes KIO slaves for svn, svn+file, svn+http, 
 svn+https, svn+ssh. This allows you to access subversion repositories 
 inside any KIO enabled TDE application.
 .
 This package is part of tdesvn-trinity.

## tdesvn-trinity 14.0.6

=== debian/changelog ===
tdesvn-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:52:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs (>= 0.4.50), debhelper (>= 7.0.50~), cmake (>= 2.4), tdelibs14-trinity-dev (>= 4:3.4.3-2), libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, gettext, quilt, libaprutil1-dev
+Build-Depends: cdbs (>= 0.4.50), debhelper (>= 7.0.50~), cmake (>= 2.4), tdelibs14-trinity-dev (>= 4:3.4.3-2), libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, quilt, libaprutil1-dev
 Standards-Version: 3.8.4
 
 Package: libsvnqt4-trinity

## tdesvn-trinity 14.0.8

=== debian/changelog ===
tdesvn-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:56:42 +0200

## tdesvn-trinity 14.0.9

=== debian/changelog ===
tdesvn-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:18:31 +0200

## tdesvn-trinity 14.0.10

=== debian/changelog ===
tdesvn-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: tdesvn-trinity
Section: devel
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: cdbs (>= 0.4.50), debhelper (>= 9~), cmake (>= 2.4), tdelibs14-trinity-dev (>= 4:3.4.3-2), libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, quilt, libaprutil1-dev
Standards-Version: 3.8.4

Package: libsvnqt4-trinity
Section: libs
Architecture: any
Replaces: libsvnqt4-trinity (<< 4:14.0.0~)
Breaks: libsvnqt4-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TQt wrapper library for subversion [Trinity]
 This package provides svnqt, a TQt wrapper library around the 
 subversion library.
 .
 It is based on the RapidSvn SvnCpp library, a subversion client API 
 written in C++.
  
Package: libsvnqt-trinity-dev
Section: libdevel
Architecture: any
Replaces: libsvnqt-trinity-dev (<< 4:14.0.0~)
Breaks: libsvnqt-trinity-dev (<< 4:14.0.0~)
Depends: libsvnqt4-trinity (= ${binary:Version}), libtqt3-mt-dev, libsvn-dev
Description: TQt wrapper library for subversion (development files) [Trinity]
 This package contains the header files and symbolic links that developers
 using svnqt will need.

Package: tdesvn-trinity
Section: devel
Architecture: any
Replaces: kdesvn-trinity (<< 4:14.0.0~)
Breaks: kdesvn-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, tdesvn-tdeio-plugins-trinity (= ${binary:Version})
Recommends: kompare-trinity, graphviz
Suggests: khelpcenter-trinity, kdiff3-trinity
Description: subversion client with tight TDE integration [Trinity]
 TDESvn is a graphical client for the subversion revision control
 system (svn).
 .
 Besides offering common and advanced svn operations, it features
 a tight integration into TDE and can be embedded into other TDE 
 applications like konqueror via the TDE component technology KParts.

Package: tdesvn-tdeio-plugins-trinity
Section: devel
Architecture: any
Replaces: kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: tdesdk-tdeio-plugins-trinity
Description: subversion I/O slaves for Trinity
 This packages includes KIO slaves for svn, svn+file, svn+http, 
 svn+https, svn+ssh. This allows you to access subversion repositories 
 inside any KIO enabled TDE application.
 .
 This package is part of tdesvn-trinity.

## tdesvn-trinity 14.0.11

=== debian/changelog ===
tdesvn-trinity (4:14.0.11-3romtsvn) universal; urgency=low

  * Applying tdesvn-CrashAtClose.patch
  * Applying tdesvn_updParentOfChItem.patch - with all expandings
  * Applying tdesvn_NoSpareBaseSlotResolve.patch
  * Applying tdesvn_NoCrashAtResolve.patch

 -- Roman Savochenko <roman@oscada.org>  Thu, 31 Jul 2025 20:00:00 +0200

tdesvn-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:34:56 +0200

## tdesvn-trinity 14.0.12

=== debian/changelog ===
tdesvn-trinity (4:14.0.12-1rom) universal; urgency=low

  * Applying tdesvn-CrashAtClose.patch

 -- Roman Savochenko <roman@oscada.org>  Tue, 31 May 2022 20:00:00 +0200

tdesvn-trinity (4:14.0.12-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:24:51 +0100

## tdesvn-trinity 14.0.13

=== debian/changelog ===
tdesvn-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 23 Sep 2022 04:27:06 +0200

## tdesvn-trinity 14.1.0

=== src/svnqt/CMakeLists.txt ===
SET(SOURCES
    apr.cpp
    client_annotate.cpp
    client_cat.cpp
    client.cpp
    client_diff.cpp
    client_ls.cpp
    client_modify.cpp
    client_property.cpp
    client_status.cpp
    context.cpp
    datetime.cpp
    dirent.cpp
    entry.cpp
    exception.cpp
    log_entry.cpp
    path.cpp
    pool.cpp
    revision.cpp
    status.cpp
    targets.cpp
    url.cpp
    version_check.cpp
    wc.cpp
    lock_entry.cpp
    client_lock.cpp
    info_entry.cpp
    client_impl.cpp
    contextdata.cpp
    commititem.cpp
    repository.cpp
    repositorydata.cpp
    repositorylistener.cpp
    svnstream.cpp
    diff_data.cpp
    svnfilestream.cpp
    stringarray.cpp
    diffoptions.cpp
    conflictdescription.cpp
    conflictresult.cpp
    client_merge.cpp
    cache/LogCache.cpp
    cache/ReposLog.cpp
    cache/DatabaseException.h
    cache/DatabaseException.cpp
    )

SET(CACHEINST_HEADERS
    cache/LogCache.h
    cache/ReposLog.h
    cache/DatabaseException.h
)

SET(INST_HEADERS
    annotate_line.h
    apr.h
    check.h
    client.h
    commititem.h
    context.h
    context_listener.h
    datetime.h
    dirent.h
    entry.h
    exception.h
    info_entry.h
    lock_entry.h
    log_entry.h
    path.h
    pool.h
    repository.h
    repositorylistener.h
    revision.h
    smart_pointer.h
    shared_pointer.h
    status.h
    svnfilestream.h
    svnstream.h
    svnqttypes.h
    targets.h
    url.h
    version_check.h
    wc.h
    stringarray.h
    diffoptions.h
    conflictdescription.h
    conflictresult.h
    )

FILE(GLOB svnhdr RELATIVE  ${CMAKE_CURRENT_SOURCE_DIR} "*.h")
SET(svnhdr ${svnhdr} ${CACHE_INST_HEADERS})


        SET(TOUTF8 "utf8")
        SET(FROMUTF8 "fromUtf8")
        SET(QLIST "TQValueList")
        SET(TOASCII "latin1")
        SET(HOMEDIR "homeDirPath")
        SET(QDATABASE "TQSqlDatabase*")
        SET(QLONG "TQ_LLONG")
    SET(svnqt-name svnqt)

IF (HAVE_GCC_VISIBILITY)
    SET(_SVNQT_EXPORT "__attribute__ ((visibility(\"default\")))")
    SET(_SVNQT_NOEXPORT "__attribute__ ((visibility(\"hidden\")))")
ENDIF (HAVE_GCC_VISIBILITY)

CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/svnqt_defines.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/svnqt_defines.h"
    IMMEDIATE
    @ONLY)

SET(INST_HEADERS ${INST_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/svnqt_defines.h)
INCLUDE_DIRECTORIES(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(${svnqt-name} SHARED ${SOURCES} ${svnhdr})
    SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib${LIB_SUFFIX})
    SET_TARGET_PROPERTIES(${svnqt-name}
        PROPERTIES
        COMPILE_FLAGS ${CMAKE_SHARED_LIBRARY_CXX_FLAGS})

SET(LIB_MAJOR 4)
SET(LIB_MINOR 2)
SET(LIB_RELEASE 2)

SET(_soversion ${LIB_MAJOR}.${LIB_MINOR}.${LIB_RELEASE})

SET_TARGET_PROPERTIES(${svnqt-name} PROPERTIES
    SOVERSION ${LIB_MAJOR}
    VERSION ${_soversion})

SET(ALL_LINKFLAGS ${APR_EXTRA_LIBFLAGS})
SET(ALL_LINKFLAGS "${ALL_LINKFLAGS} ${APU_EXTRA_LIBFLAGS}")
SET_TARGET_PROPERTIES(${svnqt-name} PROPERTIES LINK_FLAGS "${ALL_LINKFLAGS} ${LINK_NO_UNDEFINED}")
TARGET_LINK_LIBRARIES(${svnqt-name} ${TQT_LIBRARIES} ${SUBVERSION_ALL_LIBS} ${ALL_LINKFLAGS})

# IF (SQLITE_FOUND)
    TARGET_LINK_LIBRARIES(${svnqt-name} ${SQLITE_LIBRARIES})
    INCLUDE_DIRECTORIES(${SQLITE_INCLUDE_DIR})
# ELSE (SQLITE_FOUND)
#     TARGET_LINK_LIBRARIES(${svnqt-name} ${QT_QTSQL_LIBRARY})
# ENDIF (SQLITE_FOUND)

# Just a small linking test
IF (BUILD_TESTS)
    ADD_EXECUTABLE(testlink testmain.cpp)
    TARGET_LINK_LIBRARIES(testlink ${svnqt-name})
ENDIF (BUILD_TESTS)

    INSTALL(TARGETS ${svnqt-name} DESTINATION ${LIB_INSTALL_DIR})
    INSTALL(FILES ${INST_HEADERS} DESTINATION include/${svnqt-name})
    INSTALL(FILES ${CACHEINST_HEADERS} DESTINATION include/${svnqt-name}/cache)

IF (BUILD_TESTS)
  ADD_SUBDIRECTORY(tests)
  ADD_SUBDIRECTORY(cache/test)
ENDIF (BUILD_TESTS)

=== debian/changelog ===
tdesvn-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs (>= 0.4.50), debhelper (>= 9~), cmake (>= 2.4), tdelibs14-trinity-dev (>= 4:3.4.3-2), libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, quilt, libaprutil1-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, libaprutil1-dev
 Standards-Version: 3.8.4
 
 Package: libsvnqt4-trinity
 Section: libs
 Architecture: any
-Replaces: libsvnqt4-trinity (<< 4:14.0.0~)
-Breaks: libsvnqt4-trinity (<< 4:14.0.0~)
+Replaces: libsvnqt4-kde3 (<< 4:14.0.0~), libsvnqt4-trinity (<< 4:14.0.0~)
+Breaks: libsvnqt4-kde3 (<< 4:14.0.0~), libsvnqt4-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: TQt wrapper library for subversion [Trinity]
  This package provides svnqt, a TQt wrapper library around the 
@@ -22,8 +22,8 @@
 Package: libsvnqt-trinity-dev
 Section: libdevel
 Architecture: any
-Replaces: libsvnqt-trinity-dev (<< 4:14.0.0~)
-Breaks: libsvnqt-trinity-dev (<< 4:14.0.0~)
+Replaces: libsvnqt-kde3-dev (<< 4:14.0.0~), libsvnqt-trinity-dev (<< 4:14.0.0~)
+Breaks: libsvnqt-kde3-dev (<< 4:14.0.0~), libsvnqt-trinity-dev (<< 4:14.0.0~)
 Depends: libsvnqt4-trinity (= ${binary:Version}), libtqt3-mt-dev, libsvn-dev
 Description: TQt wrapper library for subversion (development files) [Trinity]
  This package contains the header files and symbolic links that developers
@@ -32,8 +32,8 @@
 Package: tdesvn-trinity
 Section: devel
 Architecture: any
-Replaces: kdesvn-trinity (<< 4:14.0.0~)
-Breaks: kdesvn-trinity (<< 4:14.0.0~)
+Replaces: kdesvn-kde3 (<< 4:14.0.0~), kdesvn-trinity (<< 4:14.0.0~)
+Breaks: kdesvn-kde3 (<< 4:14.0.0~), kdesvn-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, tdesvn-tdeio-plugins-trinity (= ${binary:Version})
 Recommends: kompare-trinity, graphviz
 Suggests: khelpcenter-trinity, kdiff3-trinity
@@ -48,8 +48,8 @@
 Package: tdesvn-tdeio-plugins-trinity
 Section: devel
 Architecture: any
-Replaces: kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdesvn-kio-plugins-kde3 (<< 4:14.0.0~), kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdesvn-kio-plugins-kde3 (<< 4:14.0.0~), kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: tdesdk-tdeio-plugins-trinity
 Description: subversion I/O slaves for Trinity

## tdesvn-trinity 14.1.1

=== src/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/settings
  ${CMAKE_SOURCE_DIR}/src/svnqt
  ${CMAKE_BINARY_DIR}/src/svnqt
  ${CMAKE_SOURCE_DIR}/src/svnfrontend/graphtree
  ${CMAKE_SOURCE_DIR}/src/svnfrontend/fronthelpers
  ${CMAKE_SOURCE_DIR}/src/ksvnwidgets
  ${CMAKE_SOURCE_DIR}/src/helpers
  ${CMAKE_SOURCE_DIR}/src/svnfrontend
  ${CMAKE_SOURCE_DIR}/src/svnqt/cache
  ${SUBVERSION_INCLUDE_DIR}
  ${APR_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/src
)


##### other data ################################

INSTALL(FILES tdesvnui.rc DESTINATION ${DATA_INSTALL_DIR}/tdesvn)
INSTALL(FILES tdesvn_part.rc DESTINATION ${DATA_INSTALL_DIR}/tdesvnpart)
tde_create_translated_desktop( tdesvn.desktop )


##### tdesvnaskpass #############################

tde_add_executable( tdesvnaskpass AUTOMOC
  SOURCES askpass/tdesvn-askpass.cpp
  LINK tdecore-shared tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### tdesvn #####################################

tde_add_executable( tdesvn AUTOMOC
  SOURCES main.cpp tdesvn.cpp urldlg.cpp commandline.cpp
  LINK tdecore-shared tdeui-shared tdeparts-shared DCOP-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### tdesvnevents ###############################

set( target tdesvnevents )

tde_add_library( tdesvnevents SHARED AUTOMOC
  SOURCES tdesvn_events.cpp tdesvn_events.h
  LINK tdecore-shared svnqt
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdesvnpart #################################

set( target tdesvnpart )

set( ${target}_SRCS
  tdesvn_part.cpp settings/tdesvnsettings.kcfgc
  settings/dispcolor_settings.ui settings/display_settings.ui settings/revisiontree_settings.ui
  settings/subversion_settings.ui settings/cmdexecsettings.ui
  settings/diffmergesettings.ui
  tdesvnview.cpp commandline_part.cpp
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdecore-shared tdeio-shared tdeparts-shared tdeui-shared svnqt tdesvnhelpers-shared tdesvnevents-shared tdesvncfgreader-shared ksvnwidgets-shared svnfrontend-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kded_tdesvnd ##############################

tde_add_kpart( kded_tdesvnd AUTOMOC
  SOURCES tdesvnd/tdesvnd_dcop.cpp tdesvnd/tdesvnd_dcop.skel tdesvnd/tdesvnd_dcop.h
  LINK svnqt ksvnwidgets-shared tdesvnhelpers-shared tdesvnevents-shared tdesvncfgreader-shared tdecore-shared tdeui-shared DCOP-shared tdeio-shared tdeinit_kded-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### svnfrontend ###############################

tde_add_library( svnfrontend SHARED AUTOMOC
  SOURCES svnfrontend/ccontextlistener.cpp
    svnfrontend/commandexec.cpp
    svnfrontend/copymoveview_impl.cpp
    svnfrontend/createrepo_impl.cpp
    svnfrontend/dummydisplay.cpp
    svnfrontend/dumprepo_impl.cpp
    svnfrontend/editproperty_impl.cpp
    svnfrontend/filelistviewitem.cpp
    svnfrontend/fronthelpers/checkoutinfo_impl.cpp
    svnfrontend/fronthelpers/checkoutinfo_impl.h
    svnfrontend/fronthelpers/rangeinput_impl.cpp
    svnfrontend/fronthelpers/rangeinput_impl.h
    svnfrontend/fronthelpers/revisionbuttonimpl.cpp
    svnfrontend/fronthelpers/revisionbuttonimpl.h
    svnfrontend/fronthelpers/cursorstack.h
    svnfrontend/fronthelpers/widgetblockstack.cpp
    svnfrontend/fronthelpers/widgetblockstack.h
    svnfrontend/fronthelpers/propertylist.cpp
    svnfrontend/fronthelpers/propertylist.h
    svnfrontend/fronthelpers/propertyitem.cpp
    svnfrontend/fronthelpers/propertyitem.h
    svnfrontend/graphtree/drawparams.cpp
    svnfrontend/graphtree/drawparams.h
    svnfrontend/graphtree/elogentry.cpp
    svnfrontend/graphtree/elogentry.h
    svnfrontend/graphtree/graphtreelabel.cpp
    svnfrontend/graphtree/graphtreelabel.h
    svnfrontend/graphtree/pannerview.cpp
    svnfrontend/graphtree/pannerview.h
    svnfrontend/graphtree/revgraphview.cpp
    svnfrontend/graphtree/revgraphview.h
    svnfrontend/graphtree/revisiontree.cpp
    svnfrontend/graphtree/revisiontree.h
    svnfrontend/graphtree/revtreewidget.cpp
    svnfrontend/graphtree/revtreewidget.h
    svnfrontend/hotcopydlg_impl.cpp
    svnfrontend/importdir_logmsg.cpp
    svnfrontend/itemdisplay.cpp
    svnfrontend/tdesvnfilelist.cpp
    svnfrontend/keystatus.cpp
    svnfrontend/loaddmpdlg_impl.cpp
    svnfrontend/mergedlg_impl.cpp
    svnfrontend/modifiedthread.cpp
    svnfrontend/opencontextmenu.cpp
    svnfrontend/propertiesdlg.cpp
    svnfrontend/stopdlg.cpp
    svnfrontend/svnactions.cpp
    svnfrontend/svnfiletip.cpp
    svnfrontend/svnitem.cpp
    svnfrontend/svnlogdlgimp.cpp
    svnfrontend/tcontextlistener.cpp
    svnfrontend/blamedisplay_impl.cpp
    svnfrontend/threadcontextlistenerdata.cpp
    svnfrontend/fillcachethread.cpp
    svnfrontend/fillcachethread.h
    svnfrontend/copymoveview.ui
    svnfrontend/createrepo_dlg.ui
    svnfrontend/dumprepo_dlg.ui
    svnfrontend/editpropsdlg.ui
    svnfrontend/fronthelpers/checkoutinfo.ui
    svnfrontend/fronthelpers/rangeinput.ui
    svnfrontend/fronthelpers/revisionbutton.ui
    svnfrontend/hotcopydlg.ui
    svnfrontend/loaddmpdlg.ui
    svnfrontend/merge_dlg.ui
    svnfrontend/blamedisplay.ui
    svnfrontend/svnlogdlg.ui
    commandline.cpp
    commandline_part.cpp
    tdesvnview.cpp
    tdesvn_part.cpp
  LINK svnqt tdecore-shared tdesvnhelpers-shared tdesvnevents-shared tdesvncfgreader-shared tdeui-shared ksvnwidgets-shared tdeio-shared tdeparts-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### ksvnwidgets ###############################

tde_add_library( ksvnwidgets SHARED AUTOMOC
  SOURCES ksvnwidgets/authdialogimpl.cpp ksvnwidgets/logmsg_impl.cpp
    ksvnwidgets/ssltrustprompt_impl.cpp ksvnwidgets/pwstorage.cpp
    ksvnwidgets/diffbrowser.cpp ksvnwidgets/diffbrowserdata.cpp
    ksvnwidgets/diffsyntax.cpp ksvnwidgets/encodingselector_impl.cpp
    ksvnwidgets/depthselector.cpp ksvnwidgets/revertform_impl.cpp
    ksvnwidgets/logmessage.ui ksvnwidgets/ssltrustprompt.ui ksvnwidgets/authdlg.ui
    ksvnwidgets/encodingselector.ui ksvnwidgets/depthform.ui ksvnwidgets/revertform.ui
  LINK tdesvnhelpers-shared tdesvncfgreader-shared svnqt tdecore-shared tdeui-shared tdeio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdeio_ksvn ##################################

tde_add_kpart( tdeio_ksvn AUTOMOC
  SOURCES tdeiosvn/tdeiosvn.cpp tdeiosvn/tdeiolistener.cpp tdeiosvn/tdeiobytestream.cpp ksvnwidgets/pwstorage.cpp
  LINK svnqt tdesvnhelpers-shared tdesvnevents-shared tdesvncfgreader-shared tdecore-shared tdeui-shared DCOP-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdesvnhelpers ##############################

tde_add_library( tdesvnhelpers SHARED AUTOMOC
  SOURCES helpers/ktranslateurl.cpp helpers/sshagent.cpp helpers/sub2qt.cpp
  LINK tdecore-shared svnqt
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdesvncfgreader ###########################

tde_add_library( tdesvncfgreader SHARED AUTOMOC
  SOURCES settings/dispcolor_settings.ui
    settings/display_settings.ui settings/revisiontree_settings.ui
    settings/subversion_settings.ui settings/cmdexecsettings.ui
    settings/diffmergesettings.ui settings/dispcolorsettings_impl.cpp
    settings/displaysettings_impl.cpp settings/revisiontreesettingsdlg_impl.cpp
    settings/subversionsettings_impl.cpp settings/cmdexecsettings_impl.cpp
    settings/diffmergesettings_impl.cpp settings/tdesvnsettings.kcfgc
  LINK tdecore-shared tdeui-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

add_subdirectory( svnqt )
add_subdirectory( ksvnwidgets )
add_subdirectory( settings )
add_subdirectory( svnfrontend )
add_subdirectory( helpers )
add_subdirectory( tdesvnd )
add_subdirectory( tdeiosvn )
add_subdirectory( pics )
add_subdirectory( icons )

=== debian/changelog ===
tdesvn-trinity (4:14.1.1-2romtsvn) universal; urgency=low

  * Applying tdesvn_updParentOfChItem.patch - with all expandings
  * Applying tdesvn_NoSpareBaseSlotResolve.patch
  * Applying tdesvn_NoCrashAtResolve.patch

 -- Roman Savochenko <roman@oscada.org>  Thu, 31 Jul 2025 20:00:00 +0200

tdesvn-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Oct 2023 23:22:00 +0200

## tdesvn-trinity 14.1.2

=== debian/changelog ===
tdesvn-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:45 +0200

## tdesvn-trinity 14.1.3

=== debian/changelog ===
tdesvn-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 15 Oct 2024 23:22:07 +0200

## tdesvn-trinity 14.1.4

=== src/svnqt/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

macro(build_test tname)
  set(${tname}-src ${tname}.cpp)
  if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${tname}.h)
        set(${tname}-src ${${tname}-src} ${tname}.h)
  endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${tname}.h)
  add_executable(${tname} ${${tname}-src})
  target_link_libraries(${tname} ${svnqt-name} ${TQT_LIBRARIES})
  add_test(${tname} ${CMAKE_CURRENT_BINARY_DIR}/${tname})
endmacro(BUILD_TEST)

if (BUILD_TESTS)
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/testconfig.h.in
        ${CMAKE_CURRENT_BINARY_DIR}/testconfig.h
    )
    add_test(rmrepo "/bin/rm" "-rvf" "${CMAKE_CURRENT_BINARY_DIR}/repo")
    add_test(rmco "/bin/rm" "-rvf" "${CMAKE_CURRENT_BINARY_DIR}/co")
    build_test(crepo)
    build_test(lsdir)
    build_test(ckpath)
endif(BUILD_TESTS)

=== src/svnqt/cache/test/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

macro(build_TEST tname)
  set(${tname}-src ${tname}.cpp)
  if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${tname}.h)
        set(${tname}-src ${${tname}-src} ${tname}.h)
  endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${tname}.h)
  add_executable(${tname} ${${tname}-src})
  target_link_libraries(${tname} ${svnqt-name} ${TQT_LIBRARIES})
  add_test(${tname} ${CMAKE_CURRENT_BINARY_DIR}/${tname})
endmaCRO(BUILD_TEST)

if (BUILD_TESTS)
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/testconfig.h.in
        ${CMAKE_CURRENT_BINARY_DIR}/testconfig.h
    )
    build_test(sqlite)
endif(BUILD_TESTS)

=== debian/changelog ===
tdesvn-trinity (4:14.1.4-0raspbian12.0.0+0) raspbian-bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
Source: tdesvn-trinity
Section: devel
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, libaprutil1-dev
Standards-Version: 3.8.4

Package: libsvnqt4-trinity
Section: libs
Architecture: any
Replaces: libsvnqt4-trinity (<< 4:14.0.0~)
Breaks: libsvnqt4-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TQt wrapper library for subversion [Trinity]
 This package provides svnqt, a TQt wrapper library around the 
 subversion library.
 .
 It is based on the RapidSvn SvnCpp library, a subversion client API 
 written in C++.
  
Package: libsvnqt-trinity-dev
Section: libdevel
Architecture: any
Replaces: libsvnqt-trinity-dev (<< 4:14.0.0~)
Breaks: libsvnqt-trinity-dev (<< 4:14.0.0~)
Depends: libsvnqt4-trinity (= ${binary:Version}), libtqt3-mt-dev, libsvn-dev
Description: TQt wrapper library for subversion (development files) [Trinity]
 This package contains the header files and symbolic links that developers
 using svnqt will need.

Package: tdesvn-trinity
Section: devel
Architecture: any
Replaces: kdesvn-trinity (<< 4:14.0.0~)
Breaks: kdesvn-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, tdesvn-tdeio-plugins-trinity (= ${binary:Version})
Recommends: kompare-trinity, graphviz
Suggests: khelpcenter-trinity, kdiff3-trinity
Description: subversion client with tight TDE integration [Trinity]
 TDESvn is a graphical client for the subversion revision control
 system (svn).
 .
 Besides offering common and advanced svn operations, it features
 a tight integration into TDE and can be embedded into other TDE 
 applications like konqueror via the TDE component technology KParts.

Package: tdesvn-tdeio-plugins-trinity
Section: devel
Architecture: any
Replaces: kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: tdesdk-tdeio-plugins-trinity
Description: subversion I/O slaves for Trinity
 This packages includes KIO slaves for svn, svn+file, svn+http, 
 svn+https, svn+ssh. This allows you to access subversion repositories 
 inside any KIO enabled TDE application.
 .
 This package is part of tdesvn-trinity.

## tdesvn-trinity 14.1.5~pre3

=== debian/changelog ===
tdesvn-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 68558afe7939fb36627bb665c9d363caaa60de14
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdesvn-trinity 14.1.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( tdesvn )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
option( BUILD_TESTS "Building the tests yes or no (default off)" OFF)


##### testing ###################################

set(TESTINGBUILD OFF CACHE BOOL "Enable/Disable special testing flags")
if (TESTINGBUILD)
   add_definitions("-DTESTING_RC=\"\\\"\${CMAKE_SOURCE_DIR}/src/tdesvnui.rc\\\"\" -DTESTING_PARTRC=\"\\\"\${CMAKE_SOURCE_DIR}/src/tdesvn_part.rc\\\"\"")
   add_definitions("-DFORCE_ASKPASS=\"\\\"\${CMAKE_BINARY_DIR}/bin/tdesvnaskpass\\\"\"")
endif (TESTINGBUILD)

if(BUILD_TESTS)
  enable_testing()
endif(BUILD_TESTS)


##### versioning ################################

set(BASE_VERSION 1.0.4)
set(KDESVN_VERSION "$ENV{KDESVN_VERSION}")
if(NOT KDESVN_VERSION)
	set(KDESVN_VERSION ${BASE_VERSION})
endif(NOT KDESVN_VERSION)


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )
tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )
configure_file( tdesvn-config.h.in tdesvn-config.h @ONLY )

=== src/tdeiosvn/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### protocol files ############################

file( GLOB PROTFILES *.protocol )
tde_create_translated_desktop(
  SOURCE ${PROTFILES}
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
tdesvn-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, libaprutil1-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, libaprutil1-dev
 Standards-Version: 3.8.4
 
 Package: libsvnqt4-trinity
 Section: libs
 Architecture: any
-Replaces: libsvnqt4-trinity (<< 4:14.0.0~)
-Breaks: libsvnqt4-trinity (<< 4:14.0.0~)
+Replaces: libsvnqt4-kde3 (<< 4:14.0.0~), libsvnqt4-trinity (<< 4:14.0.0~)
+Breaks: libsvnqt4-kde3 (<< 4:14.0.0~), libsvnqt4-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: TQt wrapper library for subversion [Trinity]
  This package provides svnqt, a TQt wrapper library around the 
@@ -22,8 +22,8 @@
 Package: libsvnqt-trinity-dev
 Section: libdevel
 Architecture: any
-Replaces: libsvnqt-trinity-dev (<< 4:14.0.0~)
-Breaks: libsvnqt-trinity-dev (<< 4:14.0.0~)
+Replaces: libsvnqt-kde3-dev (<< 4:14.0.0~), libsvnqt-trinity-dev (<< 4:14.0.0~)
+Breaks: libsvnqt-kde3-dev (<< 4:14.0.0~), libsvnqt-trinity-dev (<< 4:14.0.0~)
 Depends: libsvnqt4-trinity (= ${binary:Version}), libtqt3-mt-dev, libsvn-dev
 Description: TQt wrapper library for subversion (development files) [Trinity]
  This package contains the header files and symbolic links that developers
@@ -32,8 +32,8 @@
 Package: tdesvn-trinity
 Section: devel
 Architecture: any
-Replaces: kdesvn-trinity (<< 4:14.0.0~)
-Breaks: kdesvn-trinity (<< 4:14.0.0~)
+Replaces: kdesvn-kde3 (<< 4:14.0.0~), kdesvn-trinity (<< 4:14.0.0~)
+Breaks: kdesvn-kde3 (<< 4:14.0.0~), kdesvn-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, tdesvn-tdeio-plugins-trinity (= ${binary:Version})
 Recommends: kompare-trinity, graphviz
 Suggests: khelpcenter-trinity, kdiff3-trinity
@@ -48,8 +48,8 @@
 Package: tdesvn-tdeio-plugins-trinity
 Section: devel
 Architecture: any
-Replaces: kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdesvn-kio-plugins-kde3 (<< 4:14.0.0~), kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdesvn-kio-plugins-kde3 (<< 4:14.0.0~), kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: tdesdk-tdeio-plugins-trinity
 Description: subversion I/O slaves for Trinity

## tdesvn-trinity 14.1.6~pre0

=== debian/changelog ===
tdesvn-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 68558afe7939fb36627bb665c9d363caaa60de14
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdesvn-trinity 14.1.6~pre1

=== debian/changelog ===
tdesvn-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 72097abc2134303589f747f549d57826095f288a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:33:10 +0100
